# BWMNGMT Functions
[BWMNGMT]

## Functions
CSL_IDEF_INLINE void | CSL_BWMNGMT_setL1DCPUArb (CSL_BWMNGMT_CPUARB_SETUP *cpuArbSetup)
CSL_IDEF_INLINE void | CSL_BWMNGMT_getL1DCPUArb (CSL_BWMNGMT_CPUARB_SETUP *cpuArbSetup)
CSL_IDEF_INLINE void | CSL_BWMNGMT_setL2CPUArb (CSL_BWMNGMT_CPUARB_SETUP *cpuArbSetup)
CSL_IDEF_INLINE void | CSL_BWMNGMT_getL2CPUArb (CSL_BWMNGMT_CPUARB_SETUP *cpuArbSetup)
CSL_IDEF_INLINE void | CSL_BWMNGMT_setExternalCPUArb (CSL_BWMNGMT_CPUARB_SETUP *cpuArbSetup)
CSL_IDEF_INLINE void | CSL_BWMNGMT_getExternalCPUArb (CSL_BWMNGMT_CPUARB_SETUP *cpuArbSetup)
CSL_IDEF_INLINE void | CSL_BWMNGMT_setL1DUserCoherenceArb (Uint32 maxwaitVal)
CSL_IDEF_INLINE Uint32 | CSL_BWMNGMT_getL1DUserCoherenceArb (void)
CSL_IDEF_INLINE void | CSL_BWMNGMT_setL2UserCoherenceArb (Uint32 maxwaitVal)
CSL_IDEF_INLINE Uint32 | CSL_BWMNGMT_getL2UserCoherenceArb (void)
CSL_IDEF_INLINE void | CSL_BWMNGMT_setL1DIDMAArb (Uint32 maxwaitVal)
CSL_IDEF_INLINE Uint32 | CSL_BWMNGMT_getL1DIDMAArb (void)
CSL_IDEF_INLINE void | CSL_BWMNGMT_setL2IDMAArb (Uint32 maxwaitVal)
CSL_IDEF_INLINE Uint32 | CSL_BWMNGMT_getL2IDMAArb (void)
CSL_IDEF_INLINE void | CSL_BWMNGMT_setExternalIDMAArb (Uint32 maxwaitVal)
CSL_IDEF_INLINE Uint32 | CSL_BWMNGMT_getExternalIDMAArb (void)
CSL_IDEF_INLINE void | CSL_BWMNGMT_setL1DSDMAArb (Uint32 maxwaitVal)
CSL_IDEF_INLINE Uint32 | CSL_BWMNGMT_getL1DSDMAArb (void)
CSL_IDEF_INLINE void | CSL_BWMNGMT_setL2SDMAArb (Uint32 maxwaitVal)
CSL_IDEF_INLINE Uint32 | CSL_BWMNGMT_getL2SDMAArb (void)
CSL_IDEF_INLINE void | CSL_BWMNGMT_setExternalSDMAArb (Uint32 maxwaitVal)
CSL_IDEF_INLINE Uint32 | CSL_BWMNGMT_getExternalSDMAArb (void)
CSL_IDEF_INLINE void | CSL_BWMNGMT_setL2MDMAArb (CSL_BWMNGMT_MDMAPRI_SETUP *mdmaPriSetup)
CSL_IDEF_INLINE void | CSL_BWMNGMT_getL2MDMAArb (CSL_BWMNGMT_MDMAPRI_SETUP *mdmaPriSetup)

## Function Documentation

CSL_IDEF_INLINE void CSL_BWMNGMT_getExternalCPUArb | ( | CSL_BWMNGMT_CPUARB_SETUP * | cpuArbSetup | ) |

============================================================================
CSL_BWMNGMT_getExternalCPUArb

Description
This function retrieves the contents of CPUARBE, the CPU Arbitration control register for external memory/EMC.

Arguments

              cpuArbSetup	CSL_BWMNGMT_CPUARB_SETUP structure that needs to be filled
                            with contents of EXT CPU arbitration control register.

Return Value
None

Pre Condition
None

Post Condition
None.

Reads
CGEM_CPUARBE_PRI, CGEM_CPUARBE_MAXWAIT

Example

            CSL_BWMNGMT_CPUARB_SETUP 	cpuArbSetup;

            CSL_BWMNGMT_getExternalCPUArb (&cpuArbSetup);

=============================================================================

CSL_IDEF_INLINE Uint32 CSL_BWMNGMT_getExternalIDMAArb | ( | void |  | ) |

============================================================================
CSL_BWMNGMT_getExternalIDMAArb

Description
This function retrieves the contents of IDMAARBE, the EMC Internal Memory Arbitration control register.

Arguments
None

Return Value
Uint32

Pre Condition
None

Post Condition
None.

Reads
CGEM_IDMAARBE_MAXWAIT

Example

            Uint32		maxwaitVal;

            maxwaitVal = CSL_BWMNGMT_getExternalIDMAArb ();

=============================================================================

CSL_IDEF_INLINE Uint32 CSL_BWMNGMT_getExternalSDMAArb | ( | void |  | ) |

============================================================================
CSL_BWMNGMT_getExternalSDMAArb

Description
This function retrieves the contents of SDMAARBE, EMC's Slave DMA (SDMA) Memory Arbitration control register.

Arguments
None

Return Value
Uint32

Pre Condition
None

Post Condition
None.

Reads
CGEM_SDMAARBE_MAXWAIT

Example

            Uint32		maxwaitVal;

            maxwaitVal = CSL_BWMNGMT_getExternalSDMAArb ();

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_getL1DCPUArb | ( | CSL_BWMNGMT_CPUARB_SETUP * | cpuArbSetup | ) |

============================================================================
CSL_BWMNGMT_getL1DCPUArb

Description
This function retrieves the contents of CPUARBD, the CPU Arbitration control register for L1D.

Arguments

              cpuArbSetup	CSL_BWMNGMT_CPUARB_SETUP structure that needs to be filled
                            with contents of L1D CPU arbitration control register.

Return Value
None

Pre Condition
None

Post Condition
None.

Reads
CGEM_CPUARBD_PRI, CGEM_CPUARBD_MAXWAIT

Example

            CSL_BWMNGMT_CPUARB_SETUP 	cpuArbSetup;

            CSL_BWMNGMT_getL1DCPUArb (&cpuArbSetup);

=============================================================================

CSL_IDEF_INLINE Uint32 CSL_BWMNGMT_getL1DIDMAArb | ( | void |  | ) |

============================================================================
CSL_BWMNGMT_getL1DIDMAArb

Description
This function retrieves the contents of IDMAARBD, the L1D Internal Memory Arbitration control register.

Arguments
None

Return Value
Uint32

Pre Condition
None

Post Condition
None.

Reads
CGEM_IDMAARBD_MAXWAIT

Example

            Uint32		maxwaitVal;

            maxwaitVal = CSL_BWMNGMT_getL1DIDMAArb ();

=============================================================================

CSL_IDEF_INLINE Uint32 CSL_BWMNGMT_getL1DSDMAArb | ( | void |  | ) |

============================================================================
CSL_BWMNGMT_getL1DSDMAArb

Description
This function retrieves the contents of SDMAARBD, L1D's Slave DMA (SDMA) Memory Arbitration control register.

Arguments
None

Return Value
Uint32

Pre Condition
None

Post Condition
None.

Reads
CGEM_SDMAARBD_MAXWAIT

Example

            Uint32		maxwaitVal;

            maxwaitVal = CSL_BWMNGMT_getL1DSDMAArb ();

=============================================================================

CSL_IDEF_INLINE Uint32 CSL_BWMNGMT_getL1DUserCoherenceArb | ( | void |  | ) |

============================================================================
CSL_BWMNGMT_getL1DUserCoherenceArb

Description
This function retrieves the contents of UCARBD, the User Coherence Arbitration control register for L1D.

Arguments
None

Return Value
Uint32

Pre Condition
None

Post Condition
None.

Reads
CGEM_UCARBD_MAXWAIT

Example

            Uint32		maxwaitVal;

            maxwaitVal = CSL_BWMNGMT_getL1DUserCoherenceArb ();

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_getL2CPUArb | ( | CSL_BWMNGMT_CPUARB_SETUP * | cpuArbSetup | ) |

============================================================================
CSL_BWMNGMT_getL2CPUArb

Description
This function retrieves the contents of CPUARBU, the CPU Arbitration control register for L2.

Arguments

              cpuArbSetup	CSL_BWMNGMT_CPUARB_SETUP structure that needs to be filled
                            with contents of L2 CPU arbitration control register.

Return Value
None

Pre Condition
None

Post Condition
None.

Reads
CGEM_CPUARBU_PRI, CGEM_CPUARBU_MAXWAIT

Example

            CSL_BWMNGMT_CPUARB_SETUP 	cpuArbSetup;

            CSL_BWMNGMT_getL2CPUArb (&cpuArbSetup);

=============================================================================

CSL_IDEF_INLINE Uint32 CSL_BWMNGMT_getL2IDMAArb | ( | void |  | ) |

============================================================================
CSL_BWMNGMT_getL2IDMAArb

Description
This function retrieves the contents of IDMAARBU, the L2 Internal Memory Arbitration control register.

Arguments
None

Return Value
Uint32

Pre Condition
None

Post Condition
None.

Reads
CGEM_IDMAARBU_MAXWAIT

Example

            Uint32		maxwaitVal;

            maxwaitVal = CSL_BWMNGMT_getL2IDMAArb ();

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_getL2MDMAArb | ( | CSL_BWMNGMT_MDMAPRI_SETUP * | mdmaPriSetup | ) |

============================================================================
CSL_BWMNGMT_getL2MDMAArb

Description
This function retrieves the contents of MDMAARBU register.

Arguments

              mdmaPriSetup	CSL_BWMNGMT_MDMAPRI_SETUP that will be filled with contents of
                            the Master DMA (MDMA) arbitration control register.

Return Value
None

Pre Condition
None

Post Condition
None

Reads
CGEM_MDMAARBU_PRI, CGEM_MDMAARBU_UPRI

Example

        	Example 1: Retrieve MDMA priority values.

            CSL_BWMNGMT_MDMAPRI_SETUP	mdmaPriSetup;

            CSL_BWMNGMT_getL2MDMAArb (&mdmaPriSetup);

=============================================================================

CSL_IDEF_INLINE Uint32 CSL_BWMNGMT_getL2SDMAArb | ( | void |  | ) |

============================================================================
CSL_BWMNGMT_getL2SDMAArb

Description
This function retrieves the contents of SDMAARBD, L2's Slave DMA (SDMA) Memory Arbitration control register.

Arguments
None

Return Value
Uint32

Pre Condition
None

Post Condition
None.

Reads
CGEM_SDMAARBU_MAXWAIT

Example

            Uint32		maxwaitVal;

            maxwaitVal = CSL_BWMNGMT_getL2SDMAArb();

=============================================================================

CSL_IDEF_INLINE Uint32 CSL_BWMNGMT_getL2UserCoherenceArb | ( | void |  | ) |

============================================================================
CSL_BWMNGMT_getL2UserCoherenceArb

Description
This function retrieves the contents of UCARBU, the User Coherence Arbitration control register for L2.

Arguments
None

Return Value
Uint32

Pre Condition
None

Post Condition
None.

Reads
CGEM_UCARBU_MAXWAIT

Example

            Uint32		maxwaitVal;

            maxwaitVal = CSL_BWMNGMT_getL2UserCoherenceArb ();

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_setExternalCPUArb | ( | CSL_BWMNGMT_CPUARB_SETUP * | cpuArbSetup | ) |

============================================================================
CSL_BWMNGMT_setExternalCPUArb

Description
This function sets the contents of CPUARBE, the CPU Arbitration control register for EXT/EMC memory block.

Arguments

              cpuArbSetup	CSL_BWMNGMT_CPUARB_SETUP structure that needs to be used to
                            configure the CPU arbitration control registers

Return Value
None

Pre Condition
None

Post Condition
CPUARBE register configured with the values passed in the CSL_BWMNGMT_CPUARB_SETUP structure.

Writes
CGEM_CPUARBE_PRI, CGEM_CPUARBE_MAXWAIT
The following registers and fields are programmed by this API
CPU Arbitration Parameters

- PRI field set in EXT/EMC
- MAXWAIT field set in EXT/EMC

Example

        	Example 1: Sets CPU Priority to 1, CPU Maxwait to 8 for EMC.

            CSL_BWMNGMT_CPUARB_SETUP 	cpuArbSetup;

            cpuArbSetup.priority 	= CSL_BWMNGMT_PRI_PRI1;
            cpuArbSetup.maxWait  	= CSL_BWMNGMT_MAXWAIT_MAXWAIT8;

            CSL_BWMNGMT_setExternalCPUArb (&cpuArbSetup);

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_setExternalIDMAArb | ( | Uint32 | maxwaitVal | ) |

============================================================================
CSL_BWMNGMT_setExternalIDMAArb

Description
This function sets the contents of IDMAARBE register.

Arguments

              maxwaitVal	Maximum Wait Value that needs to be set to the External
                            Memory(EMC)'s Internal DMA (IDMA) arbitration control registers.

Return Value
None

Pre Condition
None

Post Condition
IDMAARBE register configured

Writes
CGEM_IDMAARBE_MAXWAIT
The following registers and fields are programmed by this API
IDMA Arbitration Parameter

- MAXWAIT field set in EMC

Example

        	Example 1: Set IDMA Maxwait to 8 for EXT/EMC block only.

            Uint32		maxwaitVal;

            maxwaitVal	= CSL_BWMNGMT_MAXWAIT_MAXWAIT8;

            CSL_BWMNGMT_setExternalIDMAArb (maxwaitVal);

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_setExternalSDMAArb | ( | Uint32 | maxwaitVal | ) |

============================================================================
CSL_BWMNGMT_setExternalSDMAArb

Description
This function sets the contents of SDMAARBE register.

Arguments

              maxwaitVal	Maximum Wait Value that needs to be set to
                            External Memory/EMC's Slave DMA (SDMA) arbitration control register.

Return Value
None

Pre Condition
None

Post Condition
SDMAARBE register configured

Writes
CGEM_SDMAARBE_MAXWAIT
The following register and fields are programmed by this API
SDMA Arbitration Parameter

- MAXWAIT field set in EMC

Example

        	Example 1: Set SDMA Maxwait to 8 for EMC.

            Uint32		maxwaitVal;

           	maxwaitVal	= CSL_BWMNGMT_MAXWAIT_MAXWAIT8;

            CSL_BWMNGMT_setExternalSDMAArb (maxwaitVal);

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_setL1DCPUArb | ( | CSL_BWMNGMT_CPUARB_SETUP * | cpuArbSetup | ) |

============================================================================
CSL_BWMNGMT_setL1DCPUArb

Description
This function sets the contents of CPUARBD, the CPU Arbitration control register for L1D memory block.

Arguments

              cpuArbSetup	CSL_BWMNGMT_CPUARB_SETUP structure that needs to be used to
                            configure the L1D CPU arbitration control register.

Return Value
None

Pre Condition
None

Post Condition
CPUARBD register configured with the values passed in the CSL_BWMNGMT_CPUARB_SETUP structure.

Writes
CGEM_CPUARBD_PRI, CGEM_CPUARBD_MAXWAIT
The following registers and fields are programmed by this API
CPU Arbitration Parameters

- PRI field set in L1D
- MAXWAIT field set in L1D

Example

        	Example 1: Sets CPU Priority to 1, CPU Maxwait to 8 for L1D block.

            CSL_BWMNGMT_CPUARB_SETUP 	cpuArbSetup;

            cpuArbSetup.priority 	= CSL_BWMNGMT_PRI_PRI1;
            cpuArbSetup.maxWait  	= CSL_BWMNGMT_MAXWAIT_MAXWAIT8;

            CSL_BWMNGMT_setL1DCPUArb (&cpuArbSetup);

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_setL1DIDMAArb | ( | Uint32 | maxwaitVal | ) |

============================================================================
CSL_BWMNGMT_setL1DIDMAArb

Description
This function sets the contents of IDMAARBD register.

Arguments

              maxwaitVal	Maximum Wait Value that needs to be set to
                            the L1D Internal DMA (IDMA) arbitration control register.

Return Value
None

Pre Condition
None

Post Condition
IDMAARBD

Writes
CGEM_IDMAARBD_MAXWAIT
The following registers and fields are programmed by this API
IDMA Arbitration Parameter

- MAXWAIT field set in L1D

Example

        	Example 1: Set IDMA Maxwait to 8 for L1D block only.

            Uint32		maxwaitVal;

            maxwaitVal	= CSL_BWMNGMT_MAXWAIT_MAXWAIT8;

            CSL_BWMNGMT_setL1DIDMAArb (maxwaitVal);

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_setL1DSDMAArb | ( | Uint32 | maxwaitVal | ) |

============================================================================
CSL_BWMNGMT_setL1DSDMAArb

Description
This function sets the contents of SDMAARBD register.

Arguments

              maxwaitVal	Maximum Wait Value that needs to be set to
                            the L1D Slave DMA (SDMA) arbitration control register.

Return Value
None

Pre Condition
None

Post Condition
SDMAARBD register configured

Writes
CGEM_SDMAARBD_MAXWAIT
The following register and fields are programmed by this API
SDMA Arbitration Parameter

- MAXWAIT field set in L1D

Example

        	Example 1: Set SDMA Maxwait to 8 for L1D block.

            Uint32		maxwaitVal;

           	maxwaitVal	= CSL_BWMNGMT_MAXWAIT_MAXWAIT8;

            CSL_BWMNGMT_setL1DSDMAArb (maxwaitVal);

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_setL1DUserCoherenceArb | ( | Uint32 | maxwaitVal | ) |

============================================================================
CSL_BWMNGMT_setL1DUserCoherenceArb

Description
This function sets the contents of UCARBD register.

Arguments

              maxwaitVal	Maximum Wait Value that needs to be set to
                            the L1D User Coherence arbitration control register.

Return Value
None

Pre Condition
None

Post Condition
UCARBD register configured

Writes
CGEM_UCARBD_MAXWAIT
The following registers and fields are programmed by this API
UC Arbitration Parameter

- MAXWAIT field set in L1D

Example

        	Example 1: Set UC Maxwait to 8 for L1D.

            Uint32		maxwaitVal;

            maxwaitVal	= CSL_BWMNGMT_MAXWAIT_MAXWAIT8;

            CSL_BWMNGMT_setL1DUserCoherenceArb (maxwaitVal);

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_setL2CPUArb | ( | CSL_BWMNGMT_CPUARB_SETUP * | cpuArbSetup | ) |

============================================================================
CSL_BWMNGMT_setL2CPUArb

Description
This function sets the contents of CPUARBU, the CPU Arbitration control register for L2 memory.

Arguments

              cpuArbSetup	CSL_BWMNGMT_CPUARB_SETUP structure that needs to be used to
                            configure the L2 CPU arbitration control registers

Return Value
None

Pre Condition
None

Post Condition
CPUARBU register configured with the values passed in the CSL_BWMNGMT_CPUARB_SETUP structure.

Writes
CGEM_CPUARBU_PRI, CGEM_CPUARBU_MAXWAIT
The following registers and fields are programmed by this API
CPU Arbitration Parameters

- PRI field set in L2
- MAXWAIT field set in L2

Example

        	Example 1: Sets CPU Priority to 1, CPU Maxwait to 8 for L2.

            CSL_BWMNGMT_CPUARB_SETUP 	cpuArbSetup;

            cpuArbSetup.priority 	= CSL_BWMNGMT_PRI_PRI1;
            cpuArbSetup.maxWait  	= CSL_BWMNGMT_MAXWAIT_MAXWAIT8;

            CSL_BWMNGMT_setL2CPUArb (&cpuArbSetup);

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_setL2IDMAArb | ( | Uint32 | maxwaitVal | ) |

============================================================================
CSL_BWMNGMT_setL2IDMAArb

Description
This function sets the contents of IDMAARBU register.

Arguments

              maxwaitVal	Maximum Wait Value that needs to be set to
                            the L2 Internal DMA (IDMA) arbitration control register.

Return Value
None

Pre Condition
None

Post Condition
IDMAARBU register modified

Writes
CGEM_IDMAARBU_MAXWAIT
The following registers and fields are programmed by this API
IDMA Arbitration Parameter

- MAXWAIT field set in L2

Example

        	Example 1: Set IDMA Maxwait to 8 for L2 block only.

            Uint32		maxwaitVal;

            maxwaitVal	= CSL_BWMNGMT_MAXWAIT_MAXWAIT8;

            CSL_BWMNGMT_setL2IDMAArb (maxwaitVal);

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_setL2MDMAArb | ( | CSL_BWMNGMT_MDMAPRI_SETUP * | mdmaPriSetup | ) |

============================================================================
CSL_BWMNGMT_setL2MDMAArb

Description
This function sets the contents of MDMAARBU register with the priority and urgent priority values passed to this API.

Arguments

              mdmaPriSetup	CSL_BWMNGMT_MDMAPRI_SETUP that contains the priority values
                            that need to be set to the L2/UMC Master DMA (MDMA) arbitration
                            control register.

Return Value
None

Pre Condition
None

Post Condition
MDMAARBU register configured

Writes
CGEM_MDMAARBU_PRI, CGEM_MDMAARBU_UPRI

Example

        	Example 1: Set MDMA Priority and Effecitve Priority to 6.

            CSL_BWMNGMT_MDMAPRI_SETUP	mdmaPriSetup;

            mdmaPriSetup.priority	= CSL_BWMNGMT_PRI_PRI6;
            mdmaPriSetup.uPriority	= CSL_BWMNGMT_PRI_PRI6;

            CSL_BWMNGMT_setL2MDMAArb(&mdmaPriSetup);

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_setL2SDMAArb | ( | Uint32 | maxwaitVal | ) |

============================================================================
CSL_BWMNGMT_setL2SDMAArb

Description
This function sets the contents of SDMAARBU register.

Arguments

              maxwaitVal	Maximum Wait Value that needs to be set to
                            the L2 Slave DMA (SDMA) arbitration control register.

Return Value
None

Pre Condition
None

Post Condition
SDMAARBU register configured

Writes
CGEM_SDMAARBU_MAXWAIT
The following register and fields are programmed by this API
SDMA Arbitration Parameter

- MAXWAIT field set in L2

Example

        	Example 1: Set SDMA Maxwait to 8 for L2.

            Uint32		maxwaitVal;

           	maxwaitVal	= CSL_BWMNGMT_MAXWAIT_MAXWAIT8;

            CSL_BWMNGMT_setL2SDMAArb(maxwaitVal);

=============================================================================

CSL_IDEF_INLINE void CSL_BWMNGMT_setL2UserCoherenceArb | ( | Uint32 | maxwaitVal | ) |

============================================================================
CSL_BWMNGMT_setL2UserCoherenceArb

Description
This function sets the contents of UCARBU register.

Arguments

              maxwaitVal	Maximum Wait Value that needs to be set to
                            the L2 User Coherence arbitration control register.

Return Value
None

Pre Condition
None

Post Condition
UCARBU register configured

Writes
CGEM_UCARBU_MAXWAIT
The following registers and fields are programmed by this API
UC Arbitration Parameter

- MAXWAIT field set in L2

Example

        	Example 1: Set UC Maxwait to 8 for L2 block only.

            Uint32		maxwaitVal;

            maxwaitVal	= CSL_BWMNGMT_MAXWAIT_MAXWAIT8;

            CSL_BWMNGMT_setL2UserCoherenceArb (maxwaitVal);

=============================================================================

Copyright 2012, Texas Instruments Incorporated